#
# spec file for package vm-install
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           vm-install
Url:            http://developer.novell.com/wiki/index.php/Vm-install
BuildRequires:  python-devel update-desktop-files
# For directory ownership:
BuildRequires:  yast2
License:        GPLv2+
Group:          System/Emulators/PC
AutoReqProv:    yes
Version:        0.4.30
Release:        0.3.1
Summary:        Tool to Define a Virtual Machine and Install Its Operating System
Source0:        %{name}-0.4.30.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:  %ix86 x86_64
Requires:       libvirt python-urlgrabber libxml2-python libvirt-python virt-utils udhcp tftp
%define pysite %(python -c "import distutils.sysconfig; print distutils.sysconfig.get_python_lib()")
Recommends:     python-gtk

%description
vm-install can define a Xen virtual machine, and cause an operating
system to begin installing within that virtual machine.

vm-install can be used in a variety of ways:

* It can be used interactively or non-interactively.

* It can automatically pick reasonable VM defaults for a given type
   of operating system.

* It can perform completely non-interactive installs, driven via XML
   files and/or command line parameters.

* The  supporting  Python  modules  can  be 'import'-ed into other
Python programs, to create VMs programmatically.



Authors:
--------
    Charles Coffing <ccoffing@novell.com>

%prep
%setup -q

%build

%install
make install DESTDIR=$RPM_BUILD_ROOT
rm -f  $RPM_BUILD_ROOT/%pysite/*.egg-info
%find_lang xen-vm-install
%suse_update_desktop_file %{name} X-SuSE-YaST-Virtualization

%clean
test ! -z "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" && rm -rf $RPM_BUILD_ROOT

%files -f xen-vm-install.lang
%defattr(-,root,root,-)
%doc COPYING
%{_mandir}/man8/*.8.gz
%{_prefix}/bin/vm-disks
%{_prefix}/bin/vm-install
%{_prefix}/bin/vm-install-jobs
%{_datadir}/vm-install
%pysite/vminstall
%pysite/vmdisks
%{_datadir}/YaST2/clients/vm-install.ycp
%{_datadir}/applications/YaST2/vm-install.desktop

%changelog
* Thu Apr 28 2011 carnold@novell.com
- When PXE boot is selected as the installation source, make sure
  an emulated nic is defined during the install of HVM guests.
* Mon Apr 25 2011 carnold@novell.com
- bnc#688757 - SLED10SP4 fully virtualized in SLES10SP4 XEN -
  kernel panic (also fails as a guest on sles11sp1)
* Mon Apr  4 2011 carnold@novell.com
- Fix keymap initialization.  Looks in wrong directory for kvm.
* Thu Mar 17 2011 carnold@novell.com
- bnc#678152 - Xen: virt-manager: harmless block device admin
  actions on FV guests mess up network (VIF) device
  type ==> network lost.
* Fri Mar  4 2011 carnold@novell.com
- bnc#631680 - OpenSUSE 11.3 KVM install of windows xp fails on
  first reboot during installation.
* Fri Feb 11 2011 carnold@novell.com
- bnc#668621 - creating a new VM in virt-manager is impossible
* Fri Feb  4 2011 carnold@novell.com
- Updated language files.
* Wed Jan 19 2011 carnold@novell.com
- The following three bugs are the same problem.
- bnc#665767 - L3:kvm vminstall generates bad xml
- bnc#665446 - Attempt to start installation of new KVM virt
  machine ended with error message in vm-install tool
- bnc#665541 - vm-install fails tu create a virtual machine (kvm)
  after update to vm-install-0.4.27-2.1.2 (error in created xml)
* Tue Jan 11 2011 carnold@novell.com
- bnc#657349 - Info file for linuxrc is not picked up by Xen
- Removed the extid flag.  The viridian flag is used instead.
* Wed Dec 29 2010 carnold@novell.com
- bnc#661829 - vm-install ignores inst source, description and
  other in vm-settings xml file
* Fri Dec 10 2010 carnold@novell.com
- Fixed malformed xml output for kvm clock
- Updated language file
  lt.po
* Thu Nov 18 2010 carnold@novell.com
- Add support for blktap2 devices as a Technical Preview feature.
* Tue Nov 16 2010 carnold@novell.com
- Updated language file
  lt.po
* Tue Nov  9 2010 carnold@novell.com
- bnc#603371 - In KVM SVVP HAL timer tests (HCT) are failing
  Disable hpet for windows guests on KVM.
* Thu Nov  4 2010 carnold@novell.com
- Updated language files
  nds.po km.po hu.po lt.po fi.po
* Wed Nov  3 2010 carnold@novell.com
- Return virtio=True only for KVM
* Tue Oct 26 2010 carnold@novell.com
- Setting virtio in the Advanced dialog is not reflected in the XML
  file for KVM guests.
* Thu Oct 21 2010 carnold@novell.com
- bnc#647261 - Get lot's of error in .xsession-errors when lauching
  yast
* Wed Sep 22 2010 carnold@novell.com
- bnc#640874 - vm-install not creating guest with proper qcow2 disk
  image format
* Wed Aug 25 2010 carnold@novell.com
- bnc#629022 - [vm-install]max nics when create VM
  Allow up to 8 nics instead of 3.
* Tue Aug 10 2010 carnold@novell.com
- bnc#629226 - vm-install --vm-settings does not work with kvm
  config
* Mon Aug  9 2010 carnold@novell.com
- bnc#629261 - vm-install for KVM fails if more than one ISO image
  is configured
* Fri Aug  6 2010 carnold@novell.com
- bnc#613957 - Fedora 13 PV DomU can't be installed with
  virt-manager
* Mon Aug  2 2010 carnold@novell.com
- bnc#627449 - Wrong MAC assigned to NIC card when using KVM when
  installing machine using vm-install
* Wed Jul 28 2010 carnold@novell.com
- bnc#626299 - vmdk wont work with virt-manager
* Fri Jun  4 2010 carnold@novell.com
- Eliminate all the unnecessary calls to open a libvirt connection.
  (one is sufficient)
* Wed May 12 2010 carnold@novell.com
- Updated language files.
* Thu May  6 2010 carnold@novell.com
- bnc#603427 - kvm guests should get kvm prefixed mac addresses
  from vm-install
* Wed Apr 14 2010 carnold@novell.com
- Fix invalid use of virtio on platforms that don't have the driver
* Tue Apr 13 2010 carnold@novell.com
- Fix usage of local Kickstart files for RHEL PV guests.
* Mon Apr 12 2010 carnold@novell.com
- bnc#593794 – Using vm-install with -e defaults to install an
  operating system
* Mon Apr 12 2010 carnold@novell.com
- bnc#593948 – vm-install --background doesn't work for KVM guest
  installation
* Mon Apr 12 2010 carnold@novell.com
- bnc#594410 - Disabling usb in vm-install does not work
* Mon Apr 12 2010 carnold@novell.com
- bnc#593392 - cannot install full virtualized SLES 9 in XEN
* Fri Apr  9 2010 carnold@novell.com
- Updated language files.
* Fri Mar 26 2010 carnold@novell.com
- bnc#438078 - python-gtk missing for vm-install in fvwm
* Fri Mar 19 2010 carnold@novell.com
- bnc#572167 - "Create Virtual Machines" can not be used by default
* Thu Mar 18 2010 carnold@novell.com
- bnc#589332 - vm-install reports the wrong amount of free memory
  available for KVM guests
* Mon Mar 15 2010 carnold@novell.com
- bnc#588215 - virt-manager/vminstall can't install new KVM Guests
* Fri Mar 12 2010 carnold@novell.com
- Updated language files.
* Wed Mar 10 2010 carnold@novell.com
- bnc#574603 - vm-install failed with the normal user
* Thu Mar  4 2010 carnold@novell.com
- bnc#585446 - Vm-install outputs incorrect XML for current and
  maximum memory
* Wed Feb 24 2010 carnold@novell.com
- bnc#582608 - virt-manager/vm-install doesn't allow to setup
  virtio devices for kvm
* Mon Feb 22 2010 carnold@novell.com
- bnc#574657 - libvirt always output error message when installing
  a KVM guest OS using virt-manager or vm-install although the
  installation is successful
* Mon Feb 22 2010 carnold@novell.com
- Include a default file extension for disk images.
* Tue Feb 16 2010 carnold@novell.com
- bnc#580183 - vm-install: some semantic errors found by pylint
* Mon Feb  8 2010 carnold@novell.com
- bnc#577862 - list index out of range, if no disks are specified.
* Fri Feb  5 2010 carnold@novell.com
- bnc#577299 - Windows Mouse Pointer does not track.
* Fri Feb  5 2010 carnold@novell.com
- bnc#577362 - list index out of range while calling vm-install
* Thu Feb  4 2010 carnold@novell.com
- Add a warning dialog when the user sets the maximum memory
  greater than the initial memory that indicates the guest must
  have a balloon driver.
* Thu Feb  4 2010 carnold@novell.com
- Updated language (.po) files.
* Fri Jan 22 2010 carnold@novell.com
- bnc#572904 - [SLES11 SP1]Beta2: Xen, unable to change vm-install
  memory parameters.
* Wed Jan 20 2010 carnold@novell.com
- bnc#572039 - multiple virtual nics in kvm guest are assigned to
  same bridge
* Tue Jan 19 2010 carnold@novell.com
- bnc#572037 - vm-install wont start without hostname in /etc/hosts
* Tue Jan  5 2010 carnold@novell.com
- bnc#565709 - SVVP test will not pass because HPET is missing in
  ACPI table.
  Added an Advanced Settings dialog and command line option for
  changing hpet and other similar options.
* Thu Dec 17 2009 carnold@novell.com
- bnc#565705 - "--background" flag does not work in vm-install
* Wed Dec 16 2009 carnold@novell.com
- bnc#565037 - mac address not being written to xen vm config file
* Thu Dec  3 2009 carnold@novell.com
- Change default viewer to virt-viewer from tightvnc.
* Mon Nov 30 2009 carnold@novell.com
- fate#305545: XEN extra descriptive fields within xenstore.
  (wkong@novell.com)
* Tue Nov 24 2009 carnold@novell.com
- Allow overcommit of device if the image is marked as sparse.
* Tue Nov 24 2009 carnold@novell.com
- fate#305473: Allow setting the keymap for a guest from the GUI
* Mon Nov 23 2009 carnold@novell.com
- Add capability for creating unsupported qemu guests.
* Fri Nov 20 2009 carnold@novell.com
- Improved error checking in VMPXE.py
- Fixes to VHD support (wkong@novell.com)
* Thu Nov 19 2009 carnold@novell.com
- Add support for VHD format (tap:tapdisk:vhd).
* Thu Nov 19 2009 carnold@novell.com
- Added an error handling function to suppress the constant error
  messages (like 'Domain not found:') from libvirt.
* Thu Nov 19 2009 carnold@novell.com
- Load and create kvm specific paths in the VMCreate class when
  kvm is the virtualization host.
* Wed Nov 18 2009 wkong@novell.com
- fate#302864 domUloader support lvm in disk
  ParaVirtGuest.py
  Note: for test in Beta1, if not good, revert it
* Wed Nov 18 2009 carnold@novell.com
- Fix the parsing of the 'disk' command line option to be correct
  according to the man page specification for vm-install.
* Wed Nov 18 2009 carnold@novell.com
- Allow KVM to install with 'user' mode networking when no bridge
  is defined on the host.
* Wed Nov 18 2009 carnold@novell.com
- bnc#552774 - vm-install cannot finish openSUSE installation
  Use pygrub as the bootloader when opensuse11 is selected.
* Tue Oct 27 2009 carnold@novell.com
- Added updated language files.
* Mon Oct 12 2009 carnold@novell.com
- Added updated language files.
* Wed Sep 16 2009 carnold@novell.com
- Don't show upgrade option if running KVM.  It is only for Xen PV
  guests.
* Fri Sep  4 2009 carnold@novell.com
- Added updated language files.
* Fri Aug 28 2009 carnold@novell.com
- Added the '-e' option to specify an existing disk with an already
  installed operating system.
* Wed Aug 12 2009 carnold@novell.com
- bnc#530246 - vm-install cannot add operating system which is
  installed on disk
* Mon Aug  3 2009 carnold@novell.com
- Add support for KVM disk protocols.
* Thu Jul 30 2009 carnold@novell.com
- bnc#526885 - Cannot set MAC address for PV guest in vm-install
* Thu Jul 30 2009 carnold@novell.com
- bnc#525891 - virt-manager fails on windows NT
* Fri Jul 17 2009 carnold@novell.com
- bnc#501072 - networking stops working during the 2nd stage of the
  install
* Wed Jun 17 2009 carnold@novell.com
- bnc#513997 - vm-install does not support type=netfront
* Tue Jun  2 2009 carnold@novell.com
- bnc#507599 - Unable to cancel a build on SLES 11
* Tue May 12 2009 carnold@novell.com
- bnc#499290 - L3: YaST virtualization module doesn't work in
  ncurses version
* Mon May  4 2009 carnold@novell.com
- bnc#499052 - installing an HVM SLES 10 SP2 VM with one nic gives
  you two identical network cards.
* Fri Mar 27 2009 carnold@novell.com
- bnc#483316 - Invalid parameter for Paravirtualization settings in
  vm-install
* Mon Mar 23 2009 carnold@novell.com
- bnc#487667 - SLES 11 Xen, RHEL 4 HVM guest has no mouse or
  keyboard in GUI
* Fri Mar 13 2009 carnold@novell.com
- bnc#412642 - vm-install: XEN full virtualization of NetWare 6.5
  SP6 not possible
* Tue Mar 10 2009 carnold@novell.com
- bnc#483323 - Problems to configure section Installation of
  operating system in vm-install (GUI version) for paravirtualized
  system
* Tue Mar 10 2009 carnold@novell.com
- bnc#473478 - mouse is disabled in sles 9 sp4 HVM guests
* Tue Mar 10 2009 carnold@novell.com
- bnc#475826 - selecting virtual disk for install still defaults
  back to PXE boot
* Tue Mar 10 2009 carnold@novell.com
- bnc#468567 - pv installs using network source duplicates the entry
* Mon Mar  9 2009 carnold@novell.com
- bnc#468860 - XEN PXE boot of paravirtualized (pv) domU does not
  work.  Revised to support special sles installation media.
* Fri Feb 27 2009 carnold@novell.com
- bnc#480164 - Default network proposal in fully virtualized
  SLES 11 VM is invalid.
* Tue Feb 17 2009 carnold@novell.com
- bnc#472322 - vm-install endless loop
* Wed Feb  4 2009 carnold@novell.com
- bnc#469736 - kvm guest does not recognize "phy" disk for
  installation in SLES11.
* Tue Feb  3 2009 carnold@novell.com
- bnc#362388 - unable to install rhel 5 multi-proc HVM on intel.
* Fri Jan 30 2009 carnold@novell.com
- bnc#468860 - XEN PXE boot of paravirtualized (pv) domU does not work
* Fri Jan 30 2009 carnold@novell.com
- bnc#470928 - vm-install is trying to mount smbfs instead of cifs
- bnc#470934 - vm-install is mounting wrong samba share
* Mon Jan 26 2009 carnold@novell.com
- bnc#469270 - unable to delete vm-install-jobs
* Wed Jan 21 2009 carnold@novell.com
- Updated language files with the latest translations.
* Tue Jan 13 2009 carnold@novell.com
- bnc#458853 - vm-install incorrectly attempts to use /dev/fd0 for
  media installs.
* Thu Jan  8 2009 carnold@novell.com
- bnc#464425 - vm-install doesn't throw away redundant data.
* Tue Dec 16 2008 carnold@novell.com
- bnc#459562 - switching to fully-virtual in vm-install keeps the
  old network installation source visible.
* Mon Dec 15 2008 carnold@novell.com
- bnc#458124 - vm-install pre-configuration for SLE 11 needs to
  have larger default disk size
* Mon Dec 15 2008 carnold@novell.com
- bnc#458848 - vm-install disk free check crashes an installing vm
* Fri Dec 12 2008 carnold@novell.com
- bnc#457083 - Added no-latin1 to the decode keymap table.
* Wed Dec 10 2008 carnold@novell.com
- bnc#447546 - SLES11 : ALL_LANGS : Beta5 : Untranslated 'Browse'
  button on 'Virtual Disk' dialog in Create Virtual Machine wizard
* Thu Dec  4 2008 carnold@novell.com
- Update to all official SLE11 language files.
* Tue Dec  2 2008 carnold@novell.com
- bnc#450391 – VMM installation source error
- bnc#451042 - Unable to create a Xen guest in SLES11-Beta6 in a
  full-virt machine.
* Mon Dec  1 2008 carnold@novell.com
- bnc#449046 - - [ XEN-install ] - Target install operating system
  name was changed into 'pxe' incorrectly in paravirtualization
  mode - Kong Wei patches.
- Updated several language files to recent versions.
* Wed Nov 26 2008 carnold@novell.com
- bnc#449376 - switching to fully-virtual in vm-install keeps
  old network installation setting visible.
* Tue Nov 25 2008 carnold@novell.com
- bnc#447348 - Error diplaying console when launching NW 6.5 SP8
  guest install
* Mon Nov 24 2008 carnold@novell.com
- bnc#448399 - Windows Vista VMs are routinely running out of disk
  space
* Thu Nov 20 2008 carnold@novell.com
- bnc#446773 - write bridge out to config file so libvirt doesn't
  fail for virt-manager.
* Thu Nov 20 2008 carnold@novell.com
- bnc#444632 - Added keymap conversion for de-latin1 and
  de-latin1-nodeadkeys.  Made match test case insensitive.
* Fri Nov 14 2008 carnold@novell.com
- Xen 3.3 allows more than 16 block devices for PV guests.
* Thu Nov 13 2008 carnold@novell.com
- bnc#444726 - vm-install defaults redhat installs to PV.
- bnc#444754 - rhel5 memory default in vm-install needs to be
  increased.
- Allow the selection of the supported e100 and e1000 in GUI.
* Mon Nov 10 2008 carnold@novell.com
- bnc#442749 - vm-install PV PXE boot - does not support tftp
  hierarchy (needs to have initrd and kernel in tftp root)
* Fri Nov  7 2008 carnold@novell.com
- fate#303679 - KVM (technology preview).
* Thu Nov  6 2008 carnold@novell.com
- bnc#441482 - XEN PXE boot of paravirtualized (pv) domU does not
  work.
- bnc#442308 - vm-install PV PXE boot only supports lowercase.
- Updated language files with current translations.
* Wed Nov  5 2008 carnold@novell.com
- bnc#441473 - vm-install - missing dependency
* Thu Oct 30 2008 carnold@novell.com
- bnc#440235 - Create Virtual Machine reports error.
* Wed Oct 22 2008 carnold@novell.com
- bnc#437647 - vm-install: cannot change harddisk values, invalid
  value of harddisk size
* Wed Oct 22 2008 carnold@novell.com
- bnc#436899 - Build0075: Cannot create a virtual machine.
* Wed Oct 22 2008 kukuk@suse.de
- Only build on x86-64 and ix86
* Mon Oct 13 2008 carnold@novell.com
- Added fix to look in kernel-base for vmlinuz.
* Wed Oct  8 2008 carnold@novell.com
- bnc#432743 - vm-install command line parameters not working
  correctly.
* Tue Oct  7 2008 carnold@novell.com
- bnc#432923 - vm-install: Can't change size of a hard disk after
  creation.
* Mon Oct  6 2008 carnold@novell.com
- fate#300964 - Added support for tap:cdrom protocol.
* Wed Oct  1 2008 carnold@novell.com
- Additional maxmem checks for bnc#259207.
* Tue Sep 16 2008 carnold@novell.com
- fate#302936 - Allow administrators to configure cpuid data via
  vm-install's command line interface.
* Tue Sep 16 2008 carnold@novell.com
- bnc#259207 - vm-install does not write maxmem parameter into the
  configuration file.
* Fri Sep 12 2008 carnold@novell.com
- bnc#425653 - vm-install resets the os type.
* Thu Sep 11 2008 carnold@novell.com
- Add virt-viewer as an option to the --graphics-viewer flag.
- Added check to get os type so we can default to the correct one.
- Version 0.3.8
* Fri Sep  5 2008 carnold@novell.com
- Use pygrub for some OS installs.  Fixed problem with xstransact
  in console.py.
* Tue Aug 26 2008 carnold@novell.com
- Added option to set on_poweroff, on_reboot and on_crash.
* Wed Aug 20 2008 carnold@novell.com
- Use to qcow2 images and use qemu-img-xen to create them.
* Tue Aug 19 2008 carnold@novell.com
- bnc#418207 - vm-install missing dependency, libvirt-python
- bnc#414899 - vm-install erroneously reports installation error
  when using qcow
- bnc#417494 - python's file chooser dialog changes with
  every release, hence this fix.
- Allow virt-viewer to be used as the vm viewer.
* Mon Aug  4 2008 carnold@novell.com
- Added Wei Kong's PXE boot feature for PV guests.
* Thu Jul 31 2008 carnold@novell.com
- bnc#245587 - Add drop down to network install source
* Wed Jul 30 2008 carnold@novell.com
- bnc#268153 - warn about being out of disk space.
- bnc#259994 - Disk size keeps changing back to 4.0
- bnc#347427 - text mode install does not allow control over the
  sparse file option.
- Removed 'type=ioemu' for FV guests.
* Fri Jul 18 2008 carnold@novell.com
- Allow vm-install to use libvirt calls to acquire guest
  information.
- Update protocol menu based on file type selected while browsing.
- Version 0.3.3
* Tue Jul  1 2008 carnold@novell.com
- Added --preserve-on-error to keep temporary files, config and
  image file around for debugging.
* Fri May 30 2008 carnold@novell.com
- Added --no-install to allow just a config file to be written.
- Added pull down menu to select various disk protocols.
* Wed May 21 2008 carnold@novell.com
- Fix broken NetWare install.
* Thu May  8 2008 carnold@novell.com
- bnc#363671 - XEN: problems with i386 hvm
- bnc#380514 - can't install SLED10-SP1.  Reverted back to file
  until problem with tap:aio is resolved.
- Fixed problem looking up xenpae kernel on SLE11.  xenpae was
  renamed to just xen.
* Wed Apr 30 2008 carnold@novell.com
- Add keymap support during vm creation - Pat Campbell addition.
* Fri Apr 25 2008 carnold@novell.com
- Updated language files with current translations.
* Fri Apr 11 2008 carnold@suse.de
- Change default image from file to tap:aio.
* Wed Mar 26 2008 carnold@novell.com
- bnc#373180 - 2 Xen options in Xen don't work from Yast2.
* Fri Feb 29 2008 carnold@suse.de
- Support for pxe booting fully virtualized guests in vm-install is
  complete.
* Fri Feb  1 2008 carnold@suse.de
- Update version to 0.2.3
- Add support for selecting PXE boot as installation source.
- 346602 - vm-install: apic settings for FV RHEL3 are incorrect
- 336779 - vm-install: Can't create domU - client aborts with
  "Error: unsupported operand type(s) for *: 'NoneType' and 'int'"
- 349280 - vm-install doesn' t allow --nic option with empty string
- 353739 - vm-install: starting vm-install with -d option but
  without size always selects 4.0 GB
* Fri Jan 11 2008 carnold@suse.de
- Enable SMP support by default.
* Thu Oct 11 2007 ccoffing@novell.com
- Update version to 0.2.2
- Many fixes to written XML
- Store bootloader settings in XML
- #330240: Network bridges bridges are not showing up if gnomesu
  is used to launch virt-manager
- #329547: Default disk proposal for openSUSE is too small
* Thu Sep  6 2007 ccoffing@novell.com
- #306964: Work around pygtk threading bug
- #306383: Fix unreadable linuxrc screen in paravirtual SLES 9 SP4
- rpmlint: don't need BuildRequires: python
- rpmlint: don't remove buildroot in install section
* Fri Aug 31 2007 ccoffing@novell.com
- #305747: Fix bootstrapping of paravirtual SLES 9 SP4
- #306764: Better error message if NIC model is mistyped
- #296928: MAC was not set when creating VM from existing disk
* Thu Aug 30 2007 ccoffing@novell.com
- #306469: Fix error paths to ensure disks are always unmounted
- #306383: Set TERM=linux, which works well for both xencons and pvfb
- Do not attempt to connect to VNC port if graphics=none
- Write out stdvga setting based on cirrus vs vesa
* Wed Aug 29 2007 ccoffing@novell.com
- Update translations
* Tue Aug 21 2007 ccoffing@novell.com
- #278190: adjust max memory to always be >= initial memory
- #296758: call update() before getting spinbox value
- Fix some errors in libvirt-style XML file written out
* Fri Aug 17 2007 ccoffing@novell.com
- Update translations
* Thu Aug 16 2007 ccoffing@novell.com
- #300757: Option for Windows XP/2003 (x64) was not displayed
- #296083: If vncviewer is not found, prompt user but don't fail
- Remove ExclusiveArch
* Fri Aug  3 2007 vm@novell.com
- #297472: AttributeError when trying to install FV OS on non-VT
* Tue Jul 31 2007 ccoffing@novell.com
- #271697: Accept period in VM's name
- Pressing Enter now accepts VM name
- Add notes to translators
* Tue Jul 24 2007 ccoffing@novell.com
- #289581: Support info files for --os-settings for SUSE
- Fix defaulting of full vs. para
- Fix ability to edit disk
- Fix exception when starting PV RHEL from URL
- #291706: Previous fix had caused sparse to sometimes default off
* Mon Jul 16 2007 ccoffing@novell.com
- #291706: Allow disk-format-specific options.
* Mon Jul  2 2007 ccoffing@novell.com
- Start of VM disk management tool.
- Bug fixes and refactoring.
* Fri Jun 22 2007 ccoffing@novell.com
- Not noarch; only build on architectures supported by Xen.
* Wed Jun 20 2007 ccoffing@novell.com
- Moved out of xen-tools
